> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 即梦图生图3.0

图生图3.0智能参考是即梦同源的图生图能力，支持基于文本指令进行图像编辑。该能力在精准执行编辑指令和保持图像内容完整性（如人物特征及精细细节）方面实现显著提升，尤其在处理真实图像和海报图文设计场景表现卓越。推荐在海报等设计等场景中，在文本指令中加入「海报」「平面设计」等词，并用引号标出期望文字时，可显著提升文字响应效果，产出高质量编辑结果，有效满足用户改图需求。

* 模型ID：`jimeng_i2i_v30`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=jimeng\&type=image)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持画图 API 中的以下参数：

  * `negative_prompt`
  * `aspect_ratio`
  * `quality`
  * `style_preset`
  * `output_format`
  * `mask`
  * `background`
  * `response_format`
  * `watermark`

  附：[即梦图生图3.0 官方 API 文档](https://www.volcengine.com/docs/85621/1747301)
</Note>

即梦图生图3.0 可以通过 `size` 字段设置图像生成的宽高：

支持自定义生成图像宽高，范围在`[512, 2016]`内,推荐可选的宽高比为：

| 宽高比  | 像素值       |
| ---- | --------- |
| 1:1  | 1328x1328 |
| 4:3  | 1472x1104 |
| 16:9 | 1664x936  |
| 3:2  | 1584x1056 |
| 21:9 | 2016x864  |

你可以通过 `strength` 字段替代官方的 `scale` 来控制文本描述影响的程度，取值范围是 `[0, 1]`，默认值是 `0.5`，该值越大代表文本描述影响程度越大，且输入图片影响程度越小。

### 图生图

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "jimeng_i2i_v30",
    "prompt": "将图中女生的服装颜色变为绿色",
    "image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png",
    "size": "1472x1104"
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "jimeng_i2i_v30",
    "task_id": "3374c16c-0333-406c-aaa4-28d049dc9ae0",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/12/31/4c0f1dc8dc977236882a4a2566d78b7a.jpeg"
        }
    ]
}
```
